/*

  VerifyApplet.js v1.0
  By Eric Gerds

*/


function verify(){


  var result2 = document.getElementById('result2'),

    R = "", T = document.getElementById('applettag'), e, installed=1,
    
    // count is the # of applet methods that are working.
    // maxcount are the total number of applet methods in the applet.
    count=0, maxcount=5,

    tmp;


  // Method # 1
  R += "applet.getVersion( ): ";
  try{
     R += T.getVersion() + "<br/>";
     count++;
  }
  catch(e){
     R += "method is not working<br/>";
  };

  // Method # 2
  R += "applet.getVendor( ): ";
  try{
     R += T.getVendor() + "<br/>";
     count++;
  }
  catch(e){
     R += "method is not working<br/>";
  };
  
  // Method # 3
  R += "applet.getProp('java.version'): ";
  try{
     R += T.getProp("java.version") + "<br/>";
     count++;
  }
  catch(e){
     R += "method is not working<br/>";
  };

  // Method # 4
  R += "applet.getAppVersion( ): ";
  try{
     R += T.getAppVersion() + "<br/>";
     count++;
  }
  catch(e){
     R += "method is not working<br/>";
  };

  // Method # 5
  R += "applet.statusbar( ): ";
  try{
     T.statusbar(" ");
     R += "ok<br/>";
     count++;
  }
  catch(e){
     R += "method is not working<br/>";
  };


  R += "<br/>";
  
  // if count==maxcount then Java is installed, the Java/JS bridge is working,
  //    and all applet methods are working.
  // if 0<count<maxcount then Java is installed, the Java/JS bridge is working,
  //    but one or more applet methods are not working.
  // if count==0, then we do not know if Java is installed. None of the
  //    applet methods gave any result.

  try{
    if (!count && T.isActive()){};
  }
  catch(e){
     R += "ERROR: none of the methods in your getJavaInfo.jar applet appear to be working.<br/>" +
          "Make sure that Java is installed and enabled, and then try again.<br/><br/>";
     // If count==0, and T.isActive() does not work, then Java is probably not installed.
     installed = 0;
  };



  if (installed){
  
    R += "Java appears to be installed and enabled in your browser.<br/>" +
         "The Javascript/Java bridge appears to be working also.<br/>";

    R += "<br/>";

    if (count<maxcount)
    {
      R += "ERROR: one or more methods in your getJavaInfo.jar applet are not working.<br/>" +
      "Do not use this buggy applet with PluginDetect.<br/>";
    }
    else
    {
      R += "YOUR JAVA APPLET WORKS!!!<br/>" +
      "All methods in your getJavaInfo.jar applet are working properly.<br/>" +
      "You may use this getJavaInfo.jar applet with the PluginDetect Library to do Java detection.<br/>";
    };



  };

  R += "<br/><b>TESTING IS DONE.</" + "b><br/>";



  if (result2.innerHTML !== R) result2.innerHTML = R;
  
  
  // If the Java plugin is not active, then we run this routine again.
  // We do this in case the user needs to "click to activate" the plugin.
  // At that point, we automatically run the tests again.
  if (!installed) setTimeout(verify, 1000);



};  // end of verify()



window.onload = verify;
